Get mindshare map
curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/mindshare-map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_limit": 20,
"sort_by": "mindshare_change_24h",
"included_attributes": [
"mindshare",
"market_data",
"twitter_profile"
],
"posts_per_handle": 2,
"max_character_count": 280
}
'const url = 'https://api.kanarie.xyz/api/v1/projects/mindshare-map';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_limit: 20,
sort_by: 'mindshare_change_24h',
included_attributes: ['mindshare', 'market_data', 'twitter_profile'],
posts_per_handle: 2,
max_character_count: 280
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/projects/mindshare-map"
payload = {
"project_limit": 20,
"sort_by": "mindshare_change_24h",
"included_attributes": ["mindshare", "market_data", "twitter_profile"],
"posts_per_handle": 2,
"max_character_count": 280
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data": {
"meta": {
"project_count": 20,
"handle_count": 200
},
"projects": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"handles": [
{
"handle": "jup_dev",
"total_relevance": 0.87
}
]
}
]
},
"metadata": {
"project_count": 20
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Projects
Get mindshare map
Return top projects by mindshare with handle and optional post overlays. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
projects
/
mindshare-map
Get mindshare map
curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/mindshare-map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_limit": 20,
"sort_by": "mindshare_change_24h",
"included_attributes": [
"mindshare",
"market_data",
"twitter_profile"
],
"posts_per_handle": 2,
"max_character_count": 280
}
'const url = 'https://api.kanarie.xyz/api/v1/projects/mindshare-map';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
project_limit: 20,
sort_by: 'mindshare_change_24h',
included_attributes: ['mindshare', 'market_data', 'twitter_profile'],
posts_per_handle: 2,
max_character_count: 280
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/projects/mindshare-map"
payload = {
"project_limit": 20,
"sort_by": "mindshare_change_24h",
"included_attributes": ["mindshare", "market_data", "twitter_profile"],
"posts_per_handle": 2,
"max_character_count": 280
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"error": null,
"data": {
"meta": {
"project_count": 20,
"handle_count": 200
},
"projects": [
{
"project_id": 1,
"project_name": "Jupiter",
"symbol": "JUP",
"handles": [
{
"handle": "jup_dev",
"total_relevance": 0.87
}
]
}
]
},
"metadata": {
"project_count": 20
}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Required range:
1 <= x <= 100Available options:
mindshare_24h, mindshare_7d, mindshare_change_24h, mindshare_change_7d Available options:
asc, desc Available options:
social, news, weighted Required range:
x >= 0Available options:
solana, ethereum, base, arbitrum, bittensor Maximum array length:
5Maximum array length:
5Required range:
0 <= x <= 25Required range:
1 <= x <= 720Required range:
1 <= x <= 30Required range:
0 <= x <= 50Required range:
1 <= x <= 50Available options:
sqrt, linear, fixed Required range:
0 <= x <= 1Required range:
0 <= x <= 20Required range:
0 <= x <= 5000Required range:
0 <= x <= 10Available options:
developments, technical_analysis, market_data, mindshare, detailed_description, metadata, post_key_points, post_images, twitter_profile Was this page helpful?